var _ = require('lodash');
var request = require('request');
var env = process.env.NODE_ENV;
var API_ADDRESS = 'http://localhost:8080';
if (env == 'sandbox') {
    API_ADDRESS = 'http://rest.wxpai.cn';
} else if (env == 'production') {
    API_ADDRESS = 'https://rest.wxpai.cn';
}


exports.loadLevelFromAPI=function(ent_code,open_id,callback){
    if(!ent_code || !open_id){
        return callback && callback(null,null);
    }
    var url = API_ADDRESS + '/v1.0/internal/member/exp/byopenid?openId='+open_id+'&entCode='+ent_code;
    request.get({
        url: url,
        json: {}
    }, function(e, r, body) {
        if (e) {
            console.log(e)
        }
        console.log(body);
        return callback && callback(null,(body && body.data) || null);
    });
};